## erlang-p1-mysql 1.0.4

=== Makefile ===
all: src

src:
	rebar compile xref

clean:
	rebar clean

.PHONY: clean src

## erlang-p1-mysql 0.2014.03.10

=== debian/changelog ===
erlang-p1-mysql (0.2014.03.10-2~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Mar 2017 18:17:38 +0100

erlang-p1-mysql (0.2014.03.10-2) unstable; urgency=medium

  * Add correct Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 12:38:40 +0200

erlang-p1-mysql (0.2014.03.10-1) unstable; urgency=low

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Sun, 13 Apr 2014 14:38:02 +0200

=== debian/control ===
Source: erlang-p1-mysql
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:17.3)
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/processone/mysql


Package: erlang-p1-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:17.3) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: MySQL client for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DESTDIR=$(CURDIR)/debian/erlang-p1-mysql


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_mysql-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_mysql-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_mysql-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done

## erlang-p1-mysql 0.2015.07.30

=== debian/changelog ===
erlang-p1-mysql (0.2015.07.30-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.07.30
  * Enabled eunit

 -- Philipp Huebner <debalance@debian.org>  Tue, 18 Aug 2015 07:37:43 +0200

erlang-p1-mysql (0.2015.02.04-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.02.04
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 15:04:11 +0200

## erlang-p1-mysql 1.0.0

=== debian/changelog ===
erlang-p1-mysql (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Jan 2016 11:45:38 +0100

erlang-p1-mysql (0.2015.09.29-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.09.29

 -- Philipp Huebner <debalance@debian.org>  Sun, 04 Oct 2015 10:18:36 +0200

=== debian/control ===
Source: erlang-p1-mysql
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-syntax-tools
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/processone/mysql
Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-mysql.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-mysql.git

Package: erlang-p1-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: MySQL client for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-mysql

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-mysql_$1.tar.gz/" \
  https://github.com/processone/mysql/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-mysql 1.0.1

=== debian/changelog ===
erlang-p1-mysql (1.0.1-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 07 Oct 2016 17:24:54 +0200

erlang-p1-mysql (1.0.1-4) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:41 +0200

erlang-p1-mysql (1.0.1-3) unstable; urgency=medium

  * Build-Depend on erlang-crypto (fixes FTBFS)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 12:13:54 +0200

erlang-p1-mysql (1.0.1-2) unstable; urgency=medium

  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 14:27:01 +0200

erlang-p1-mysql (1.0.1-1) unstable; urgency=medium

  * ProcessOne renamed mysql to p1_mysql
  * Imported Upstream version 1.0.1
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 17 Feb 2016 19:51:28 +0100

=== debian/control ===
Source: erlang-p1-mysql
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (<< 1:18.3), erlang-crypto, erlang-eunit, erlang-syntax-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/p1_mysql
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-mysql.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-mysql.git

Package: erlang-p1-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (<< 1:18.3), ${erlang-abi:Depends},
         ${erlang:Depends}
Description: pure Erlang MySQL driver
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-mysql 1.0.3

=== debian/changelog ===
erlang-p1-mysql (1.0.3-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:51:06 +0200

erlang-p1-mysql (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 15:43:12 +0200

erlang-p1-mysql (1.0.2-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.2
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 15:37:38 +0200

=== debian/control ===
Source: erlang-p1-mysql
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-crypto, erlang-eunit, erlang-syntax-tools
Standards-Version: 4.0.0
Section: libs
Homepage: https://github.com/processone/p1_mysql
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-mysql.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-mysql.git

Package: erlang-p1-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: pure Erlang MySQL driver
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-mysql 1.0.4

=== debian/changelog ===
erlang-p1-mysql (1.0.4-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:51 +0100

erlang-p1-mysql (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:01:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: erlang-p1-mysql
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
+Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-crypto, erlang-eunit, erlang-syntax-tools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://github.com/processone/p1_mysql
-Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-mysql.git
-Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-mysql.git
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
 
 Package: erlang-p1-mysql
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-mysql

## erlang-p1-mysql 1.0.6

=== debian/changelog ===
erlang-p1-mysql (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Added debian/upstream/metadata
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:24:00 +0200

erlang-p1-mysql (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 22:49:22 +0200

=== debian/control ===
Source: erlang-p1-mysql
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-crypto,
               erlang-eunit,
               erlang-syntax-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
Homepage: https://github.com/processone/p1_mysql

Package: erlang-p1-mysql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: pure Erlang MySQL driver
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-mysql 1.0.8

=== debian/changelog ===
erlang-p1-mysql (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * Updated Standards-Version: 4.3.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 01 Jan 2019 22:41:56 +0100

erlang-p1-mysql (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:57:37 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
 Homepage: https://github.com/processone/p1_mysql

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-mysql_$1.tar.gz/" \
  https://github.com/processone/p1_mysql/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-mysql 1.0.11

=== debian/changelog ===
erlang-p1-mysql (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:06:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
 Homepage: https://github.com/processone/p1_mysql

## erlang-p1-mysql 1.0.12

=== debian/changelog ===
erlang-p1-mysql (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Fixed typo in long package description.
  * Set 'Rules-Requires-Root: no' in debian/control
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 22:38:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
 Homepage: https://github.com/processone/p1_mysql
@@ -22,5 +23,5 @@
          ${erlang:Depends}
 Description: pure Erlang MySQL driver
  This library was written for ejabberd which still uses it.
- It was split off into it's own project to follow
+ It was split off into its own project to follow
  Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-mysql

## erlang-p1-mysql 1.0.16

=== debian/changelog ===
erlang-p1-mysql (1.0.16-1) unstable; urgency=medium

  * New upstream version 1.0.16

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 16:45:58 +0200

erlang-p1-mysql (1.0.15-1) unstable; urgency=medium

  * New upstream version 1.0.15

 -- Philipp Huebner <debalance@debian.org>  Thu, 30 Apr 2020 09:25:18 +0200

erlang-p1-mysql (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14

 -- Philipp Huebner <debalance@debian.org>  Fri, 17 Apr 2020 13:27:37 +0200

erlang-p1-mysql (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13

 -- Philipp Huebner <debalance@debian.org>  Tue, 17 Mar 2020 17:09:31 +0100

## erlang-p1-mysql 1.0.17

=== debian/changelog ===
erlang-p1-mysql (1.0.17-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:33:28 +0100

erlang-p1-mysql (1.0.17-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:36:45 +0100

erlang-p1-mysql (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-mysql.install

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 23:02:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
 Homepage: https://github.com/processone/p1_mysql
@@ -21,6 +21,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends}
+Multi-Arch: allowed
 Description: pure Erlang MySQL driver
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-mysql_$1.tar.gz/" \
  https://github.com/processone/p1_mysql/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-mysql 1.0.19

=== Makefile ===
REBAR ?= rebar

all: src

src:
	$(REBAR) compile
	$(REBAR) xref

clean:
	$(REBAR) clean

.PHONY: clean src

=== debian/changelog ===
erlang-p1-mysql (1.0.19-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 12 Jun 2022 00:15:40 +0200

erlang-p1-mysql (1.0.19-3) unstable; urgency=medium

  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 10:19:38 +0200

erlang-p1-mysql (1.0.19-2) unstable; urgency=medium

  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 12:46:27 +0100

erlang-p1-mysql (1.0.19-1) unstable; urgency=medium

  * New upstream version 1.0.19
  * Updated Standards-Version: 4.6.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:07:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
-               erlang-base (>= 1:19.2),
+               dh-rebar (>= 0.0.6~),
+               erlang-base,
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
 Homepage: https://github.com/processone/p1_mysql
@@ -19,7 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends}
 Multi-Arch: allowed
 Description: pure Erlang MySQL driver

## erlang-p1-mysql 1.0.20

=== debian/changelog ===
erlang-p1-mysql (1.0.20-1) unstable; urgency=medium

  * New upstream version 1.0.20

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 14:39:38 +0100

## erlang-p1-mysql 1.0.21

=== debian/changelog ===
erlang-p1-mysql (1.0.21-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Wed, 22 Feb 2023 08:37:39 +0100

erlang-p1-mysql (1.0.21-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Philipp Huebner ]
  * New upstream version 1.0.21
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 12:34:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
 Homepage: https://github.com/processone/p1_mysql

## erlang-p1-mysql 1.0.22

=== debian/changelog ===
erlang-p1-mysql (1.0.22-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Thu, 11 Jan 2024 10:49:39 +0100

erlang-p1-mysql (1.0.22-1) unstable; urgency=medium

  * New upstream version 1.0.22
  * Dropped debian/erlang-p1-mysql.install and fixed debian/rules instead
    (closes: #1049577)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-mysql.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 16:05:32 +0100

## erlang-p1-mysql 1.0.24

=== debian/changelog ===
erlang-p1-mysql (1.0.24-1) unstable; urgency=medium

  * New upstream version 1.0.24

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 17:32:27 +0200

## erlang-p1-mysql 1.0.25

=== Makefile ===
REBAR ?= rebar

all: src

src:
	$(REBAR) compile

clean:
	$(REBAR) clean

xref: all
	$(REBAR) xref

.PHONY: clean src

=== debian/changelog ===
erlang-p1-mysql (1.0.25-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Apr 2025 12:04:23 +0200

erlang-p1-mysql (1.0.25-1) unstable; urgency=medium

  * New upstream version 1.0.25
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 10:50:42 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-mysql.git
 Homepage: https://github.com/processone/p1_mysql

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-mysql_$1.tar.gz/" \
  https://github.com/processone/p1_mysql/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-mysql 1.0.27

=== debian/changelog ===
erlang-p1-mysql (1.0.27-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream release.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 22:10:55 +0000

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/p1_mysql
